Bug 468731 - texlive-texmf supplied 'movie15' is too old for the current asymptote
texlive-texmf supplied 'movie15' is too old for the current asymptote
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: texlive-texmf (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On: 488651
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 14:10 EDT by Michal Jaegermann
Modified: 2013-07-02 19:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 12:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-10-27 14:10:16 EDT
Description of problem:

The code like the following for asymptote-1.47-1.fc10:

settings.outformat="pdf";
settings.render=300;
import solids;

size(0,100);

revolution r=cylinder(O,1,1.5,Y+Z);
draw(r,heavygreen);

when used with 'asy -V cylinderskeleton.asy' ends up with errors like this:

/usr/share/asymptote/plain_shipout.asy: 70.3: runtime: <cylinderskeleton-0.eps>

! Package movie15 Error: I couldn't determine MIME type of file:
(movie15)                `cylinderskeleton-0.prc':
(movie15)                Unknown file name extension: `prc' .

See the movie15 package documentation for explanation.
Type  H <return>  for immediate help.
 ...

<*> ...34203pt}{100.375pt}{cylinderskeleton-0.prc}
                                                  }

*


If the current 'movie15' from CTAN is used instead then errors are absent.

Version-Release number of selected component (if applicable):
texlive-texmf-latex-2007-26.fc10
Comment 1 Bug Zapper 2008-11-25 23:18:39 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Martin F 2009-07-22 19:30:02 EDT
In Fedora 11 it causes out of memory error.

I don't need embedding 3d movie in pdf, just the rendered 2d image, so I just disable prc by inserting the following line before import line:

settings.prc=false;
...
import solids;

That works for me.
Comment 3 Michal Jaegermann 2009-07-27 19:45:18 EDT
> This bug appears to have been reported against 'rawhide' during the Fedora 10
> development cycle.

Indeed; and during Fedora 12 development cycle one can find in movie15.sty
'\ProvidesPackage{movie15}[2007/01/17]' so the problem still remains.  At the time the original bug was reported "the current" meant:
'\ProvidesPackage{movie15}[2008/10/08]'.

I am afraid that the whole TeX installation provided by Fedora is getting obsolete in more and more places.
Comment 4 Bug Zapper 2009-11-16 04:33:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 John Bowman 2009-12-04 10:57:42 EST
I just thought I would point out that the reason for the out-of-memory error
is that this example attempts to render at 300*72=21600dpi and you very likely don't have enough memory to do that. Simply reduce settings.render to a more reasonable value like 4 or 8.
Comment 6 Michal Jaegermann 2009-12-04 12:48:48 EST
> this example attempts to render at 300*72=21600dpi ....

I did not try to go through details but it looked to me that with system supplied 'movie15' a general confusion ensued, starting with "couldn't determine MIME type", and whatever followed was a direct or an indirect consequence of that.  As I mentioned - substituting newer movie15.sty made this to work.
Comment 7 Bug Zapper 2010-11-04 07:44:03 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Michal Jaegermann 2010-11-04 12:26:14 EDT
Even with texlive-texmf-latex-2007-36.fc14 (and also the current rawhide)
/usr/share/texmf/tex/latex/movie15/movie15.sty shows
\ProvidesPackage{movie15}[2007/01/17]

The general issue is that keeping texlive on 2007 level is getting more and more out of sync with anything which assumes an "up-to-date" TeX installation.
Comment 9 Fedora End Of Life 2012-08-16 12:47:46 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.